Skip to main content
GET
Get

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-10-28.everglades"

Path Parameters

device_id
string
required

The unique identifier of the device.

Example:

"dvc_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the device resource.

Available options:
current_deployment,
current_release,
group
Example:

Response

200 - application/json

Successfully retrieved the device.

object
enum<string>
required

The object type, which is always device.

Available options:
device
Example:

"device"

id
string
required

ID of the device.

Example:

"dvc_123"

name
string
required

Name of the device.

Example:

"My Device"

description
string | null
required

A free-form description of the device.

Example:

"Welder on line 3"

status
enum<string>
required

The status of the device.

  • Inactive: The miru agent has not yet been installed / authenticated
  • Activating: The miru agent is currently being installed / authenticated (should only last for a few seconds)
  • Online: The miru agent has successfully pinged the server within the last 60 seconds.
  • Offline: The miru agent has not successfully pinged the server within the last 60 seconds (e.g. network issues, device is powered off, etc.)
  • Archived: The device has been archived. The agent's session has been revoked and the device no longer participates in workspace operations. See archived_at for when this occurred.
Available options:
inactive,
activating,
online,
offline,
archived
agent_version
string | null
required

The version of the agent the device is running.

Example:

"v1.0.0"

os
enum<string> | null
required

The operating system family the device is running (linux or windows), reported by the agent. This is the machine-readable OS kind, distinct from the human-readable os_version string.

Available options:
linux,
windows
Example:

"linux"

hostname
string | null
required

The hostname of the device as reported by the agent.

Example:

"robot-1.local"

arch
enum<string> | null
required

The CPU architecture the device is running (x86_64 or aarch64), reported by the agent.

Available options:
x86_64,
aarch64
Example:

"x86_64"

os_version
string | null
required

The human-readable long operating system version string reported by the agent (for example Ubuntu 22.04 or Windows 11 Pro). Distinct from the machine-readable os family.

Example:

"Ubuntu 22.04"

kernel_version
string | null
required

The operating system kernel version string reported by the agent.

Example:

"5.15.0-91-generic"

last_connected_at
string<date-time> | null
required

Timestamp of when the device was last made an initial connection (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

last_disconnected_at
string<date-time> | null
required

Timestamp of when the device was last disconnected (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

created_at
string<date-time>
required

Timestamp of when the device was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the device was last updated.

Example:

"2021-01-01T00:00:00Z"

group_id
string | null
required

ID of the group this device belongs to. Null if the device is unassigned.

Example:

"grp_123"

current_deployment
Deployment · object | null

The current deployment for the device.

Example:
current_release
Release · object | null

The current release for the device.

Example:
group
Group · object | null

The group this device belongs to. Null if the device is unassigned.

Example: